#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.3.1
%define		qtver		5.15.2
%define		kpname		libksysguard

Summary:	Library for monitoring your system
Name:		kp6-%{kpname}
Version:	6.3.1
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	b6e7d97a2b8c09d5488f07eac0d56321
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Sensors-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf6-kauth-devel
BuildRequires:	kf6-kcompletion-devel
BuildRequires:	kf6-kconfig-devel
BuildRequires:	kf6-kconfigwidgets-devel
BuildRequires:	kf6-kcoreaddons-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kiconthemes-devel
BuildRequires:	kf6-kservice-devel
BuildRequires:	kf6-kwidgetsaddons-devel
BuildRequires:	kf6-kwindowsystem-devel
BuildRequires:	libnl-devel
BuildRequires:	libpcap-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRequires:	zlib-devel
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
Library for monitoring your system.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%{_datadir}/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%{_datadir}/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%{_datadir}/ksysguard
%{_datadir}/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy
%{_datadir}/qlogging-categories6/libksysguard.categories
%ghost %{_libdir}/libprocesscore.so.10
%attr(755,root,root) %{_libdir}/libprocesscore.so.*.*
%ghost %{_libdir}/libKSysGuardFormatter.so.2
%attr(755,root,root) %{_libdir}/libKSysGuardFormatter.so.*.*
%ghost %{_libdir}/libKSysGuardSensorFaces.so.2
%attr(755,root,root) %{_libdir}/libKSysGuardSensorFaces.so.*.*
%ghost %{_libdir}/libKSysGuardSensors.so.2
%attr(755,root,root) %{_libdir}/libKSysGuardSensors.so.*.*
%dir %{_libdir}/qt6/qml/org/kde/ksysguard
%dir %{_libdir}/qt6/qml/org/kde/ksysguard/faces
%dir %{_libdir}/qt6/qml/org/kde/ksysguard/formatter
%dir %{_libdir}/qt6/qml/org/kde/ksysguard/process
%dir %{_libdir}/qt6/qml/org/kde/ksysguard/sensors
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/ExtendedLegend.qml
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/SensorFace.qml
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/qmldir
%{_libdir}/qt6/qml/org/kde/ksysguard/formatter/qmldir
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/ksysguard/process/libProcessPlugin.so
%{_libdir}/qt6/qml/org/kde/ksysguard/process/qmldir
%{_libdir}/qt6/qml/org/kde/ksysguard/sensors/qmldir
%{_datadir}/knsrcfiles/systemmonitor-faces.knsrc
%{_datadir}/knsrcfiles/systemmonitor-presets.knsrc
%ghost %{_libdir}/libKSysGuardSystemStats.so.2
%attr(755,root,root) %{_libdir}/libKSysGuardSystemStats.so.*.*.*
%dir %{_libdir}/qt6/plugins/ksysguard
%dir %{_libdir}/qt6/plugins/ksysguard/process
%attr(755,root,root) %{_libdir}/qt6/plugins/ksysguard/process/ksysguard_plugin_network.so
%attr(755,root,root) %{_libdir}/qt6/plugins/ksysguard/process/ksysguard_plugin_nvidia.so
%dir %{_prefix}/libexec/ksysguard
%attr(755,root,root) %{_prefix}/libexec/ksysguard/ksgrd_network_helper
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/SensorRangeSpinBox.qml
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/Choices.qml
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/ksysguard_sensorface.so
%attr(755,root,root) %{_prefix}/libexec/kf6/kauth/ksysguardprocesslist_helper
%{_datadir}/dbus-1/interfaces/org.kde.ksystemstats1.xml
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/CompactSensorFace.qml
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/SensorFaces.qmltypes
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/ksysguard/faces/libSensorFacesplugin.so
%dir %{_libdir}/qt6/qml/org/kde/ksysguard/faces/private
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/private/SensorFacesPrivate.qmltypes
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/private/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/ksysguard/faces/private/libSensorFacesPrivate.so
%{_libdir}/qt6/qml/org/kde/ksysguard/faces/private/qmldir
%{_libdir}/qt6/qml/org/kde/ksysguard/formatter/Formatter.qmltypes
%{_libdir}/qt6/qml/org/kde/ksysguard/formatter/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/ksysguard/formatter/libFormatterplugin.so
%{_libdir}/qt6/qml/org/kde/ksysguard/process/ProcessPlugin.qmltypes
%{_libdir}/qt6/qml/org/kde/ksysguard/process/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/ksysguard/sensors/Sensors.qmltypes
%{_libdir}/qt6/qml/org/kde/ksysguard/sensors/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/ksysguard/sensors/libSensorsplugin.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/ksysguard
%{_libdir}/cmake/KSysGuard
%{_libdir}/libKSysGuardFormatter.so
%{_libdir}/libKSysGuardSensorFaces.so
%{_libdir}/libKSysGuardSensors.so
%{_libdir}/libKSysGuardSystemStats.so
%{_libdir}/libprocesscore.so
%changelog
* Sat Feb 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-libksysguard.git;a=log;h=master

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 844fdaa
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9a90728
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> dc470fc
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9e9d896
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5ea9da9
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6118227
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a5b94ae
- updated to 6.2.1

* Sun Oct 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bd2ccde
- dir

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b7780a0
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9f23571
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4c978fd
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eac6bed
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3884668
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 366f0aa
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c78f324
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bdf8876
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bdb704a
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> def03db
- updated to 6.0.3

* Wed Mar 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8b7cda1
- updated to 6.0.2

* Thu Mar 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1261dc3
- updated to 6.0.1

